cURL
curl -X POST https://acme.orgo.space/api/v1/forms \
-H "Api-Token: $ORGO_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "AGM 2026 Registration",
"unit": "/api/v1/units/4",
"requiresAuth": false
}'
await fetch("https://acme.orgo.space/api/v1/forms", {
method: "POST",
headers: {
"Api-Token": process.env.ORGO_API_TOKEN,
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "AGM 2026 Registration",
unit: "/api/v1/units/4",
requiresAuth: false,
}),
});
$client->post('/api/v1/forms', [
'headers' => ['Api-Token' => getenv('ORGO_API_TOKEN')],
'json' => [
'name' => 'AGM 2026 Registration',
'unit' => '/api/v1/units/4',
'requiresAuth' => false,
],
]);
import requests
url = "https://app.orgo.space/api/v1/forms"
payload = {
"name": "AGM 2026 Registration",
"description": "Please complete this form to confirm your attendance at the Annual General Meeting on March 15th.",
"unit": "/api/v1/units/4",
"status": "DRAFT",
"requiresAuth": False
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/forms"
payload := strings.NewReader("{\n \"name\": \"AGM 2026 Registration\",\n \"description\": \"Please complete this form to confirm your attendance at the Annual General Meeting on March 15th.\",\n \"unit\": \"/api/v1/units/4\",\n \"status\": \"DRAFT\",\n \"requiresAuth\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Api-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.orgo.space/api/v1/forms")
.header("Api-Token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"AGM 2026 Registration\",\n \"description\": \"Please complete this form to confirm your attendance at the Annual General Meeting on March 15th.\",\n \"unit\": \"/api/v1/units/4\",\n \"status\": \"DRAFT\",\n \"requiresAuth\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/forms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Api-Token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"AGM 2026 Registration\",\n \"description\": \"Please complete this form to confirm your attendance at the Annual General Meeting on March 15th.\",\n \"unit\": \"/api/v1/units/4\",\n \"status\": \"DRAFT\",\n \"requiresAuth\": false\n}"
response = http.request(request)
puts response.read_body{
"id": 77,
"uuid": "01938d8e-c2f4-7c2a-b8e1-3f7a9b8c4f77",
"name": "AGM 2026 Registration",
"description": "Please complete this form to confirm your attendance at the Annual General Meeting on March 15th.",
"slug": "agm-2026-registration",
"slugGo": "agm26reg",
"status": "DRAFT",
"requiresAuth": false,
"unit": {
"id": 4,
"name": "Boston"
},
"dateCreated": "2026-01-15T10:30:00+00:00"
}Form
Create a form
Creates a new form in the current tenant. The form is created in DRAFT status by default.
POST
/
api
/
v1
/
forms
cURL
curl -X POST https://acme.orgo.space/api/v1/forms \
-H "Api-Token: $ORGO_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "AGM 2026 Registration",
"unit": "/api/v1/units/4",
"requiresAuth": false
}'
await fetch("https://acme.orgo.space/api/v1/forms", {
method: "POST",
headers: {
"Api-Token": process.env.ORGO_API_TOKEN,
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "AGM 2026 Registration",
unit: "/api/v1/units/4",
requiresAuth: false,
}),
});
$client->post('/api/v1/forms', [
'headers' => ['Api-Token' => getenv('ORGO_API_TOKEN')],
'json' => [
'name' => 'AGM 2026 Registration',
'unit' => '/api/v1/units/4',
'requiresAuth' => false,
],
]);
import requests
url = "https://app.orgo.space/api/v1/forms"
payload = {
"name": "AGM 2026 Registration",
"description": "Please complete this form to confirm your attendance at the Annual General Meeting on March 15th.",
"unit": "/api/v1/units/4",
"status": "DRAFT",
"requiresAuth": False
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/forms"
payload := strings.NewReader("{\n \"name\": \"AGM 2026 Registration\",\n \"description\": \"Please complete this form to confirm your attendance at the Annual General Meeting on March 15th.\",\n \"unit\": \"/api/v1/units/4\",\n \"status\": \"DRAFT\",\n \"requiresAuth\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Api-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.orgo.space/api/v1/forms")
.header("Api-Token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"AGM 2026 Registration\",\n \"description\": \"Please complete this form to confirm your attendance at the Annual General Meeting on March 15th.\",\n \"unit\": \"/api/v1/units/4\",\n \"status\": \"DRAFT\",\n \"requiresAuth\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/forms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Api-Token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"AGM 2026 Registration\",\n \"description\": \"Please complete this form to confirm your attendance at the Annual General Meeting on March 15th.\",\n \"unit\": \"/api/v1/units/4\",\n \"status\": \"DRAFT\",\n \"requiresAuth\": false\n}"
response = http.request(request)
puts response.read_body{
"id": 77,
"uuid": "01938d8e-c2f4-7c2a-b8e1-3f7a9b8c4f77",
"name": "AGM 2026 Registration",
"description": "Please complete this form to confirm your attendance at the Annual General Meeting on March 15th.",
"slug": "agm-2026-registration",
"slugGo": "agm26reg",
"status": "DRAFT",
"requiresAuth": false,
"unit": {
"id": 4,
"name": "Boston"
},
"dateCreated": "2026-01-15T10:30:00+00:00"
}Authorizations
ApiTokenJWT
Server-to-server authentication. Generate a token in the admin UI at
Settings → Developers → API Access. Send the raw token in the
Api-Token header — there is no Bearer prefix.
Tokens can be marked read-only at creation time, in which case the API
rejects any non-GET request with 403 Forbidden.
Body
application/json
The new Form resource
Response
Form resource created
Example:
"/api/v1/users/1"
Example:
"/api/v1/tenants/1"
Show child attributes
Show child attributes

